#!/usr/bin/env dart
library xcvbnm.example.bin;

import 'package:xcvbnm/xcvbnm.dart';
import 'dart:convert';

void main() {
  String password = 'my_pwd_1';
  Result result = new Xcvbnm().estimate(password);
  print(const JsonEncoder.withIndent("  ").convert(result.toJson()));
  // Result:
  // {
  //   "password": "my_pwd_1",
  //   "entropy": 33,
  //   "crack_time": 334717,
  //   "crack_time_display": "4 days",
  //   "score": 2,
  //   "feedback": "Use a few words, avoid common phrases.",
  //   "calc_time": 68,
  //   "match_sequence": [
  //     {
  //       "pattern": "dictionary",
  //       "token": "my",
  //       "entropy": 4.321928094887363,
  //       "base_entropy": 4.321928094887363,
  //       "i": 0,
  //       "j": 1,
  //       "rank": 20,
  //       "uppercase_entropy": 0,
  //       "reversed_entropy": 0,
  //       "matched_word": "my",
  //       "dictionary_name": "english"
  //     },
  //     {
  //       "pattern": "bruteforce",
  //       "token": "_",
  //       "entropy": 6.10852445677817,
  //       "i": 2,
  //       "j": 2
  //     },
  //     {
  //       "pattern": "regex",
  //       "token": "pwd",
  //       "entropy": 14.101319154423278,
  //       "i": 3,
  //       "j": 5,
  //       "regexName": "alpha_lower",
  //       "regexMatch": [
  //         "pwd"
  //       ]
  //     },
  //     {
  //       "pattern": "bruteforce",
  //       "token": "_",
  //       "entropy": 6.10852445677817,
  //       "i": 6,
  //       "j": 6
  //     },
  //     {
  //       "pattern": "dictionary",
  //       "token": "1",
  //       "entropy": 2.0,
  //       "base_entropy": 1.0,
  //       "i": 7,
  //       "j": 7,
  //       "rank": 2,
  //       "uppercase_entropy": 0,
  //       "reversed_entropy": 0,
  //       "l33t": true,
  //       "sub": {
  //         "1": "i"
  //       },
  //       "matched_word": "i",
  //       "dictionary_name": "english"
  //     }
  //   ]
  // }
}
